diff -Nacr a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
*** a/doc/src/sgml/config.sgml	2016-07-19 05:54:26.000000000 +0900
--- b/doc/src/sgml/config.sgml	2016-08-08 09:59:32.000000000 +0900
***************
*** 5421,5426 ****
--- 5421,5428 ----
          is received by the server.  The process title is typically viewed
          by the <command>ps</> command,
          or in Windows by using the <application>Process Explorer</>.
+         This value defaults to off on Windows platforms due to the
+         platform's significant overhead for updating the process title.
          Only superusers can change this setting.
         </para>
        </listitem>
diff -Nacr a/src/backend/utils/misc/guc.c b/src/backend/utils/misc/guc.c
*** a/src/backend/utils/misc/guc.c	2016-07-19 05:54:26.000000000 +0900
--- b/src/backend/utils/misc/guc.c	2016-08-05 19:17:52.000000000 +0900
***************
*** 1210,1216 ****
--- 1210,1220 ----
  			gettext_noop("Enables updating of the process title every time a new SQL command is received by the server.")
  		},
  		&update_process_title,
+ #ifdef WIN32
+ 		false,
+ #else
  		true,
+ #endif
  		NULL, NULL, NULL
  	},
  
diff -Nacr a/src/bin/initdb/initdb.c b/src/bin/initdb/initdb.c
*** a/src/bin/initdb/initdb.c	2016-07-19 05:54:26.000000000 +0900
--- b/src/bin/initdb/initdb.c	2016-08-08 10:15:17.000000000 +0900
***************
*** 1292,1297 ****
--- 1292,1303 ----
  							  "#effective_io_concurrency = 0");
  #endif
  
+ #ifdef WIN32
+ 	conflines = replace_token(conflines,
+ 							  "#update_process_title = on",
+ 							  "#update_process_title = off");
+ #endif
+ 
  	snprintf(path, sizeof(path), "%s/postgresql.conf", pg_data);
  
  	writefile(path, conflines);
